import { Singleton } from "../../Common/Singleton";
import { Board } from "../../DatabaseServices/Entity/Board";
import { ISpaceParse } from "../../Geometry/SpaceParse/ISpaceParse";
import { IWineRackOption } from "../../UI/Store/WineRackInterface";
export declare const SIN45: number;
export declare class DrawWineRackTool extends Singleton {
    private _config;
    protected space: ISpaceParse;
    boardlist: Board[];
    get Config(): IWineRackOption;
    Parse(space: ISpaceParse, config: IWineRackOption): void;
    /** 拾取空间周围的板件柜名房名等信息*/
    protected GetBoardProcessOption(br: Board): void;
    /**分析高级封边数据 */
    protected ParseHighSealing(br: Board, leftSealed: number, rightSealed: number, topSealed: number, downSealed: number, isLeft: boolean): void;
    /**补板 */
    protected AddLayerOrVerticalBoard(actWidth: number, actHeight: number): void;
}
//# sourceMappingURL=DrawWinRackTool.d.ts.map