import { Matrix4 } from "three";
import { Curve } from "../../DatabaseServices/Entity/Curve";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Command } from "../../Editor/CommandMachine";
import { Route } from "../../Geometry/CurveMap";
export declare class Command_Curve2VSBox implements Command {
    boxDepth: number;
    spaceOCS: Matrix4;
    exec(): Promise<void>;
    Doit(selectedCurs: Curve[]): Promise<void>;
    DrawVSBoxByRoute(routes: Route[], ocs: Matrix4): Promise<void>;
    DrawVSBox(polyline: Polyline, ocs: Matrix4): Promise<boolean>;
}
//# sourceMappingURL=Command_Curve2VSBox.d.ts.map