import { Status } from '../Common/Status';
import { CADFiler } from './CADFiler';
import { Database } from './Database';
import { Entity } from './Entity/Entity';
import { ObjectCollection } from './ObjectCollection';
import { SymbolTableRecord } from './SymbolTableRecord';
export declare class BlockTableRecord extends SymbolTableRecord {
    EntityCol: ObjectCollection<Entity>;
    constructor();
    SetOwnerDatabase(db: Database): this;
    get Entitys(): Entity[];
    Add(obj: Entity, isCheckObjectCleanly?: boolean): Status;
    Append(entity: Entity, isCheckObjectCleanly?: boolean): void;
    AppendEvent(entity: Entity): void;
    Remove(entity: Entity): void;
    Destroy(): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=BlockTableRecord.d.ts.map