import { Color, Line, LineBasicMaterial, Mesh, RectAreaLight as TRectAreaLight } from "three";
/**
 *  This helper must be added as a child of the light (移植threejs最新的版本)
 */
export declare class RectAreaLightHelper extends Line {
    light: TRectAreaLight;
    color: Color;
    material: LineBasicMaterial;
    children: [Mesh];
    BarnDoorLength: number;
    BarnDoorAngle: number;
    private _posAtt;
    private _indexAtt;
    constructor(light: TRectAreaLight, color: Color);
    updateMatrixWorld(): void;
    updataRange(): void;
    dispose(): void;
}
//# sourceMappingURL=RectAreaLightHelper.d.ts.map