import { CADFiler } from "../CADFiler";
import { ObjectId } from "../ObjectId";
import { SymbolTableRecord } from "../SymbolTableRecord";
/**
 * 加工组信息设置.
 * 为了保证加工组的信息得到正确的添加和删除.
 * 请保证更新Entity的加工组数据,并更新ProcessingGroup的数据.
 */
export declare class ProcessingGroupRecord extends SymbolTableRecord {
    Objects: ObjectId[];
    constructor();
    get Name(): string;
    set Name(name: string);
    Purge(): void;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=ProcessingGroupRecord.d.ts.map