import { Database } from "../../Database";
import { Polyline } from "../../Entity/Polyline";
import { RoomRegion } from "../Entity/Region/RoomRegion";
import { RoomWallBase } from "../Entity/Wall/RoomWallBase";
import { RegionReplacement } from "./RegionReplacement";
/**
 * 区域分析(房间+外墙+全屋顶)
 */
export declare class RoomRegionParse {
    private _UpdateDb;
    rr: RegionReplacement;
    reped: Set<RoomRegion>;
    oldregs: RoomRegion[];
    /**
     * @param _UpdateDb 当提供db时,我们更新了区域的信息
     */
    constructor(_UpdateDb: Database);
    Do(walls: RoomWallBase[]): Polyline[];
    End(): void;
}
//# sourceMappingURL=RoomRegionParse.d.ts.map