import { ISpaceParse } from "../../../Geometry/SpaceParse/ISpaceParse";
import { BoardConfigOption, BoardProcessOption } from "../../../UI/Store/BoardInterface";
import { CADFiler } from "../../CADFiler";
import { Board } from "../../Entity/Board";
import { TemplateRecord } from "../TemplateRecord";
/**
 * 板件模板的基类.(层板,立板,背板)
 */
export declare class TemplateBoardRecord extends TemplateRecord {
    UseBoardProcessOption: boolean;
    BoardProcessOption: BoardProcessOption;
    DrawBoardCount: number;
    protected _option: BoardConfigOption;
    get Option(): BoardConfigOption;
    set Option(option: BoardConfigOption);
    protected GeneralBoardList(space: ISpaceParse): Board[];
    Purge(): void;
    protected Update(): Promise<void>;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=TemplateBoard.d.ts.map