import { Vector3 } from 'three';
import { Viewer } from '../GraphicsSystem/Viewer';
import { Editor } from './Editor';
export declare class MouseControls {
    _Viewer: Viewer;
    _Editor: Editor;
    _CurMousePointClient: Vector3;
    _CurMousePointVCS: Vector3;
    _CurMousePointWCS: Vector3;
    EnableMouseUpDoit: boolean;
    _CacheMouseDownTime: {};
    constructor(_Viewer: Viewer, _Editor: Editor);
    private RegisterEvent;
    onMouseMove: (e: MouseEvent) => void;
    onMouseDown: (e: MouseEvent) => Promise<void>;
    onMouseUp(e: MouseEvent): void;
    onDBClick(e: MouseEvent): void;
    updateWordPoint: (e: MouseEvent) => void;
}
//# sourceMappingURL=MouseControls.d.ts.map