import { Group, MeshBasicMaterial, OctahedronGeometry } from "three";
import AxesCube from "./AxesCube";
import { AxisType } from "./CoorAxes";
import { IGizmo } from "./IGizmo";
export declare class ScaleGizmo extends Group implements IGizmo {
    protected _Axis_X: AxesCube;
    protected _Axis_Y: AxesCube;
    protected _Axis_Z: AxesCube;
    Picks: Group;
    private _ActiveIndex;
    private _OriginFace;
    static _OrgMtl: MeshBasicMaterial;
    static _OriGeo: OctahedronGeometry;
    private static _MtlHide;
    /**
     * 轴面材质
     */
    static _XYBoxMtl: MeshBasicMaterial;
    static _XZBoxMtl: MeshBasicMaterial;
    static _YZBoxMtl: MeshBasicMaterial;
    constructor();
    set AxtiveIndex(v: AxisType);
    get AxtiveIndex(): AxisType;
    private __vec__;
    HideAxes(): void;
    Reset(): void;
}
//# sourceMappingURL=ScaleGizmo.d.ts.map