import { Curve } from "../../DatabaseServices/Entity/Curve";
import { Polyline } from "../../DatabaseServices/Entity/Polyline";
import { Vec3 } from "../../Geometry/IVec3";
/**
 * V型刀走刀数据,第一刀直接扎进去,最后一刀提刀
 * @param polyline
 * @param feedingDepth 走刀深度
 * @param knifAngle 通常为60度.按弧度表示
 */
export declare function VKnifToolPath(polyline: Polyline, feedingDepth: number, knifAngle: number): {
    pt: Vec3;
    bul: number;
}[];
export declare function VData2Curve(data: {
    pt: Vec3;
    bul: number;
}[]): Curve[];
//# sourceMappingURL=VKnifToolPath.d.ts.map