import { Point } from "../Common/Point";
import { Path } from "./Path";
export declare class NestCache {
    static CachePartPosCount: number;
    static CacheNoSetCount: number;
    static PositionCache: {
        [key: string]: Point;
    };
    static NoPutCache: {
        [key: string]: Set<number>;
    };
    private static CacheRect;
    /**
     * 用于创建原点在0点的矩形路径
     */
    static CreatePath(x: number, y: number, knifRadius?: number): Path;
    static Clear(): void;
}
//# sourceMappingURL=NestCache.d.ts.map