import React, { DragEvent } from 'react';
import { Entity } from '../../DatabaseServices/Entity/Entity';
import { PhysicalMaterialRecord } from '../../DatabaseServices/PhysicalMaterialRecord';
/**
 * 材质球 纹理 预览
 */
export declare class Asset extends React.Component<{
    material: PhysicalMaterialRecord;
    hightLight?: boolean;
    handleClick: (mat?: PhysicalMaterialRecord) => void;
}, {}> {
    image: React.RefObject<HTMLImageElement>;
    divColorRef: React.RefObject<HTMLDivElement>;
    nameEl: HTMLDivElement;
    removeCall: Function[];
    private renderIng;
    /**
     * 更新渲染材质球预览图
     */
    private UpdateRenderPreview;
    private Destroy;
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleDoubleClick: () => Promise<void>;
    handleApply: () => void;
    highLightEntity: () => void;
    ApplyUseCurBrsGoodInfo: () => Promise<void>;
    handleCollection: () => Promise<void>;
    handleDelete: () => Promise<void>;
    /**
     * 获得使用当前材质的实体列表 (板和五金)
     */
    GetUseCurMtlEntitys(): Entity[];
    handleStart: (e: DragEvent) => void;
    render(): JSX.Element;
}
//# sourceMappingURL=Asset.d.ts.map