import * as React from 'react';
import { Board } from '../../../DatabaseServices/Entity/Board';
import { ObjectId } from '../../../DatabaseServices/ObjectId';
import { ProcessingGroupRecord } from '../../../DatabaseServices/ProcessingGroup/ProcessingGroupRecord';
import { LinesType } from '../../Store/BoardInterface';
import { SortBtnData } from './BBSCommon';
import { IBoardInfoOptions } from './BoardInfosList';
interface BoardData {
    dataBr: Board[];
    realBr: Board[];
}
interface IBoardListProps {
    height: number;
    width: number;
    dragDivH: number;
    searchRes: BoardData;
    selectedBrOnList: Board[];
    UpdateDisplayData: (dataSource?: Board[]) => void;
    isCtrlDown: boolean;
    processGroupMap: Map<string, ObjectId[]>;
    modifyBoardData: Map<Board, IBoardInfoOptions>;
    UpdateSeletctedBr: (index: number, findSameTypeBrDataKey?: string) => void;
    ModifyBoard: (br: Board, opts: IBoardInfoOptions) => void;
    AutoWidth: (title: [string, string]) => void;
    TitleResize: (e: React.PointerEvent<HTMLDivElement>, title: string) => void;
    getCalcStyles: (key: string) => React.CSSProperties;
}
export declare class BoardList extends React.Component<IBoardListProps> {
    sortBtnData: SortBtnData[];
    private oldLeft;
    render(): JSX.Element;
    SortFunc: (a: number | string, b: number | string, asc: boolean) => number;
    HandleSort: (btnText: string) => void;
    ModifyDataMap: (index: number, brData: Board, modifyKey: string, value: string | LinesType | ProcessingGroupRecord[]) => void;
    private handleScroll;
}
export {};
//# sourceMappingURL=BoardLIst.d.ts.map