import { IObservableValue } from "mobx";
import * as React from 'react';
import { Board } from "../../../DatabaseServices/Entity/Board";
import { BoardConfigOption, BoardProcessOption, IGrooveOption, IUiOption } from '../../Store/BoardInterface';
interface BoardConfigProps {
    boardConfig: BoardConfigOption;
    boardProcess: BoardProcessOption;
    br: Board;
    canDrawSpeical: IObservableValue<boolean>;
    canModeling: IObservableValue<boolean>;
    grooveOption: IGrooveOption;
    uiBoardConfig: IUiOption<BoardConfigOption>;
    isRightToolbar?: boolean;
}
export declare class BoardConfigModal extends React.Component<BoardConfigProps, {}> {
    private pars;
    private groovePars;
    private processPars;
    private rotatePars;
    constructor(props: any);
    componentWillUnmount(): void;
    render(): JSX.Element;
    /**
     *尺寸拾取
     */
    private getSizeValue;
    /**
    * 提取
    */
    private PickUpModelingOutline;
    PickUpModelingOutline2: () => Promise<void>;
    PickUpModelingOutline3: () => Promise<void>;
    private ChangeModeling;
    private ChangeModeling2;
    private AddModeling;
    private AddModeling2;
    private ChangeModeling3;
}
export {};
//# sourceMappingURL=BoardConfigModal.d.ts.map