import { IObservableValue } from 'mobx';
import * as React from 'react';
import { IDirectoryProps } from './CommonPanel';
import './TexturePanel.less';
interface IHandleDirProps {
    isOpen: IObservableValue<boolean>;
    handleFunc: (dirName: string, ...rest: any) => Promise<void> | void;
    isReset: boolean;
    defualtValue: string;
    title?: string;
    getData?: () => void;
    currentDir?: IDirectoryProps;
    className?: string;
}
export declare class HandleDirComponent extends React.Component<IHandleDirProps, {}> {
    private inputEl;
    private container;
    componentDidMount(): void;
    private onKeydown;
    private handleClick;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=HandleDirComponent.d.ts.map