import { DynamicInputManage } from './DynamicInputManage';
import { DynamicInput } from './DynamicInputBase';
import { Vector3 } from "three";
/**
 * 动态输入的提示块,  包含了提示信息和后续的输入框.
 */
export declare class PromptBlock {
    promptContainer: HTMLElement;
    private promptEl;
    protected dynamicInputManage: DynamicInputManage;
    private dynInputList;
    constructor(dynamicInputManage: DynamicInputManage);
    AddDynamicInput(dynamicInput: DynamicInput): void;
    set Visible(v: boolean);
    SetPostion(mousePos: Vector3): void;
    UpdatePrompt(prompt: string): void;
    Destroy(): void;
}
//# sourceMappingURL=PromptBlock.d.ts.map