import './Symbol.css';
export declare class Symbol {
    m_symbol: HTMLElement;
    constructor(container: HTMLElement, type: string);
    Destroy(): void;
}
export declare enum SymbolType {
    Copy = "bp3-icon-duplicate",
    Delete = "bp3-icon-trash",
    Replace = "bp3-icon-swap-horizontal",
    Overturn = "bp3-icon-exchange",
    Collection = "bp3-icon-star-empty",
    Info = "bp3-icon-info-sign",
    UnCollection = "bp3-icon-star",
    translate = "bp3-icon-move",
    world = "bp3-icon-zoom-to-fit",
    rotate = "bp3-icon-refresh",
    local = "bp3-icon-exchange"
}
export declare class SymbolManage {
    private m_symbolContainer;
    private m_symbolList;
    constructor();
    get Container(): HTMLElement;
    get SymbolList(): Symbol[];
    AddSymbol(type: string): void;
    setPosition(x: number, y: number): void;
    Clear(): void;
}
//# sourceMappingURL=Symbol.d.ts.map