import { ITreeNode } from "@blueprintjs/core";
import { TemplateRecord } from "../../../DatabaseServices/Template/TemplateRecord";
import { ITemplateParam } from "./ITemplateParam";
export declare class TemplateParamPanelStore {
    isShowHidden: boolean;
    isShowSign: boolean;
    private _displayTemplateRootId;
    private _displayTemplateId;
    Params: ITemplateParam[];
    TreeNodes: ITreeNode[];
    isVisible: boolean;
    isHidden: boolean;
    isSign: boolean;
    IsHiddenChildren: boolean;
    isVisualTemplate: boolean;
    treeListScrollTop: number;
    treeListScrollLeft: number;
    treeListHeight: number;
    scrollCard: HTMLDivElement;
    private constructor();
    private static _SingleInstance;
    static GetInstance(): TemplateParamPanelStore;
    set DisplayTemplateId(id: number);
    private templateObjIdSet;
    private Init;
    GetCurrentTemplate(): TemplateRecord | undefined;
    Template2TreeNodeOfSign: (template: TemplateRecord) => TemplateRecord[];
    Template2TreeNode: (template: TemplateRecord) => ITreeNode;
    UpdateData(): void;
    ForeachTreeNode(nodes: ITreeNode[], callback: (node: ITreeNode) => void): void;
    UpdateParams(template: TemplateRecord): void;
}
//# sourceMappingURL=TemplateParamPanelStore.d.ts.map