import * as React from 'react';
import { Singleton } from "../../Common/Singleton";
import { BoardType, IBaseOption } from "../../UI/Store/BoardInterface";
export declare enum CuttingOffset {
    Front = "front",
    Middle = "middle",
    Back = "back"
}
export interface ReferenceCuttingOptioins extends IBaseOption {
    boardType: BoardType;
    offset: number;
    halfThickness: number;
    CuttingPosSelected: CuttingOffset;
}
export declare class ReferenceCuttingStore extends Singleton {
    protected m_UiOption: any;
    m_Option: ReferenceCuttingOptioins;
    get UIOption(): import("../../UI/Store/BoardInterface").IUiOption<ReferenceCuttingOptioins>;
    Cancel(): void;
    OnOk(): void;
    _Return(state: number): void;
    HasInvailValue(): string;
}
export declare class ReferenceCuttingModal extends React.Component<{
    store: ReferenceCuttingStore;
}, {}> {
    private uiOption;
    private handleChangeOffsetDir;
    private getOffsetKeyWord;
    private event;
    registerEvent(): void;
    UNSAFE_componentWillMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
//# sourceMappingURL=ReferenceCuttingModal.d.ts.map