/**
 * 继承+重写+拓展
*/
export declare type Merge<T, R> = Pick<T, Exclude<keyof T, keyof R>> & R;
/**
 * 继承+重写,不能拓展
 */
export declare type Modify<T, R> = Pick<T, Exclude<keyof T, keyof R>> & Pick<R, Extract<keyof R, keyof T>>;
//# sourceMappingURL=TypeOperator.d.ts.map