import { Color, Light as TLight, Object3D } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { Light } from "./Light";
export declare class HemisphereLight extends Light {
    private _GroundColor;
    protected _Intensity: number;
    AutoExposure: boolean;
    ExposureCompensation: number;
    protected _OpenLight: boolean;
    get GroundColor(): Color;
    set GroundColor(color: Color);
    get WebIntensity(): number;
    protected InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: TLight): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=HemisphereLight.d.ts.map