import { Object3D, Vector3 } from "three";
import { RenderType } from "../../../../../GraphicsSystem/RenderType";
import { CADFiler } from "../../../../CADFiler";
import { CADObject } from "../../../../CADObject";
import { Line } from "../../../../Entity/Line";
import { RoomBase } from "../../RoomBase";
import { RoomHoleBase } from "./RoomHoleBase";
/**
 * 直线洞 2点(暂时不要用这个 全部使用RoomHolePolyline)
 */
export declare class RoomHoleLine extends RoomHoleBase {
    private _StartPoint;
    private _EndPoint;
    constructor(_StartPoint?: Vector3, _EndPoint?: Vector3);
    get StartPoint(): Vector3;
    get EndPoint(): Vector3;
    set StartPoint(p: Vector3);
    set EndPoint(p: Vector3);
    InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, obj: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
    ApplyPartialUndo(undoData: CADObject): void;
}
//@ts-ignore
export interface RoomHoleLine extends RoomBase, Line {
}
//# sourceMappingURL=RoomHoleLine.d.ts.map