import * as React from 'react';
import { IBoardFindOption } from '../../Store/BoardFindInterface';
import { BoardFindStore } from '../../Store/BoardFindModifyStore';
import { AnyObject, IUiOption } from '../../Store/BoardInterface';
import { UpdateBoardInfosStore } from '../../Store/UpdateBoardInfoStore';
import { IUpdateBoardInfosOption } from './UpdateBoardInfointerface';
export interface IBoardProps {
    k: string;
    useKey?: string;
    option: IBoardFindOption;
    uiOption: IUiOption<AnyObject>;
    title: string;
    isCompare?: boolean;
    hasTolerance: boolean;
    isLayer?: boolean;
    isSmall?: boolean;
    checkChange?(): any;
    onClick?(...args: any[]): any;
}
export declare class BoardFindItem extends React.Component<IBoardProps, {}> {
    render(): JSX.Element;
}
export interface IFindSelectItem {
    k: string;
    useKey?: string;
    option: IBoardFindOption;
    title: string;
    selectOption: any[];
    checkChange?(): any;
}
export declare class BoardFindSelectItem extends React.Component<IFindSelectItem, {}> {
    render(): JSX.Element;
}
interface IMatColorComProps {
    option: IBoardFindOption | IUpdateBoardInfosOption;
    getBoardOption: () => void;
    change?: () => void;
    hasCompare: boolean;
}
export declare class MatColorCom extends React.Component<IMatColorComProps> {
    showShops: import("mobx").IObservableValue<boolean>;
    render(): JSX.Element;
    private handleSelectGoods;
}
interface ISealDrillProps {
    store: UpdateBoardInfosStore | BoardFindStore;
    onChange?: () => void;
    selectOptions: string[];
}
export declare class SealDrillCom extends React.Component<ISealDrillProps> {
    render(): JSX.Element;
    private handleSelectAllDrillOrSeal;
    private handleChange;
}
export {};
//# sourceMappingURL=BoardFindCommon.d.ts.map