import { IconName, Intent, MaybeElement, Position } from '@blueprintjs/core';
import * as React from 'react';
interface IPopOverContentProps {
    position?: Position;
    disabled?: boolean;
    targetTitle: string;
    icon?: IconName | MaybeElement;
    closeFocusElement?: HTMLElement;
    style?: React.CSSProperties;
    className?: string;
    intent?: Intent;
    onClosing?: () => void;
    onOpening?: () => void;
}
export declare class PopoverContent extends React.Component<IPopOverContentProps> {
    private cancelBtn;
    static defaultProps: {
        position: "top";
        intent: "primary";
    };
    render(): JSX.Element;
    private handleKeyDown;
}
export {};
//# sourceMappingURL=PopoverContent.d.ts.map