import * as React from 'react';
import { CoolDownTime } from '../../../Common/CoolDownTime';
import { ICommandIconInfo } from '../TopToolBar/TopToolBarInterface';
import './PropertiesPanel.less';
export interface ToolBarProps {
    iconList: ICommandIconInfo[];
}
export declare class ToolBar extends React.Component<ToolBarProps, {}> {
    ulRef: React.RefObject<HTMLUListElement>;
    observer: ResizeObserver;
    time: CoolDownTime;
    componentDidMount(): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: Readonly<ToolBarProps>, prevState: Readonly<{}>, snapshot?: any): void;
    private UpdateWidth;
    render(): JSX.Element;
}
//# sourceMappingURL=ToolBar.d.ts.map