import { IBaseOption } from "./BoardInterface";
export declare enum ELatticeArrayType {
    ByWidth = 0,
    ByCount = 1
}
export interface ILatticeOption extends IBaseOption {
    arrayType: ELatticeArrayType;
    gripWidth: number;
    gripDepth: number;
    widthCount: number;
    depthCount: number;
    knifeRad: number;
    thickness: number;
    arcLen: number;
    downDist: number;
    space: number;
    grooveAddWidth: number;
    upSealed: number;
    downSealed: number;
    leftSealed: number;
    rightSealed: number;
    isAuto: boolean;
    isChange: boolean;
    isOpenCut: boolean;
    upCut: number;
    downCut: number;
}
//# sourceMappingURL=LatticeInterface.d.ts.map