import { ITreeNode } from "@blueprintjs/core";
import { Singleton } from "../../Common/Singleton";
import { TemplateRecord } from "../../DatabaseServices/Template/TemplateRecord";
import { IConfigOption } from "../Components/Board/UserConfig";
import { IConfigStore } from "./BoardStore";
import { ITemplateParam } from "./RightPanelStore/ITemplateParam";
export declare const UNRENDERPARS: string[];
export declare class TempalteEditorStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    Template: TemplateRecord;
    params: ITemplateParam[];
    currentParamIndex: number;
    usedParamNames: Set<string>;
    actionNodes: ITreeNode[];
    actionIndex: number;
    InitParams(): void;
    InitOption(): void;
    UpdateOption(cof: IConfigOption): void;
    SaveConfig(): IConfigOption<import("./BoardInterface").AnyObject>;
    WriteParamsToTemplate(): Promise<void>;
}
//# sourceMappingURL=TemplateEditorStore.d.ts.map