import { Matrix4 } from "three";
import { Vector3D } from "./Vector3";
import { Vertex3D } from "./Vertex3";
export declare class Plane {
    normal: Vector3D;
    w: number;
    tag: number;
    constructor(normal: Vector3D, w: number);
    flipped(): Plane;
    getTag(): number;
    coplanarTo(plane: Plane): boolean;
    transform(matrix4x4: Matrix4): Plane;
    splitLineBetweenPoints(p1: Vertex3D, p2: Vertex3D): Vertex3D;
    static fromVector3Ds(a: Vector3D, b: Vector3D, c: Vector3D): Plane;
}
//# sourceMappingURL=Plane.d.ts.map